Subject: bug#65056: https://issues.guix.gnu.org/ cannot be accessed through Tor

From: Ludovic Courtès <[email-masked]>
Date: Thu, 14 Sep 2023 23:25:52 +0200

Hi,

Ricardo Wurmus <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hello!
>>
>> Ricardo Wurmus <[email-masked]> skribis:
>>
>>> I don’t know.  I’m on holidays now, but I’ve opened yet another ticket
>>> to get a definitive answer to my more elaborate variant of “WTF?”.
>>
>> Did you eventually get feedback from them?
>
> I got one response to ask for more information, which I supplied.
> Nothing since.  I requested a response just now.

I confirm that I still get the problem right now from my home network,
without even really trying:

--8<---------------cut here---------------start------------->8---
$ wget -qO- --debug http://ci.guix.gnu.org |tail
DEBUG output created by Wget 1.21.3.24-2b723 on linux-gnu.

Reading HSTS entries from /home/ludo/.wget-hsts
URI encoding = ‘UTF-8’
Caching ci.guix.gnu.org => 141.80.181.40
Created socket 3.
Releasing 0x00000000017a8e00 (new refcount 1).

---request begin---
GET / HTTP/1.1
Host: ci.guix.gnu.org
User-Agent: Wget/1.21.3.24-2b723
Accept: */*
Accept-Encoding: identity
Connection: Keep-Alive

---request end---

---response begin---
HTTP/1.1 200 OK
Content-Length: 4401
Connection: Close
Cache-Control: no-cache
Content-Type: text/html; charset=utf-8
X-Frame-Options: SAMEORIGIN

---response end---
URI content encoding = ‘utf-8’
Closed fd 3
Saving HSTS entries to /home/ludo/.wget-hsts
        </style>
        <title>Attack Detected</title>
    </head>
    <body><div class="message-container">
    <div class="logo"></div>
    <h1>Blocked because of DoS Attack</h1>
    <p>Your computer has been blocked because a DoS attack originating from your system was detected. For more information, contact the system administrator.</p>
</div></body>
</html>
--8<---------------cut here---------------end--------------->8---

Ludo’.